#!/bin/sh
#
# installation script by gutemine
#
echo "***************************************************"
echo "Bootmanager installation script from gutemine"
echo "***************************************************"

dos2unix /media/mb/bootmanager/readme_first.txt > /dev/null 2>&1

if [ ! -f /media/mb/multiboot.sh ]; then
   echo "For installation of gutemine's bootmanager"
   echo "Multiboot from thowi in Version > 6.0 has to be installed !"
   echo "***************************************************"
   exit 0
fi
if [ -f /.mbinfo* ]; then
   echo "For installation of bootmanager you have to be booted from Flash !"
   echo "***************************************************"
   exit 0
fi
echo "Installing bootmanager in Flash ..."
echo "***************************************************"
rm /etc/rc3.d/S00bootmanager > /dev/null 2>&1
rm /media/mb/bootmanager/*.mvi > /dev/null 2>&1
rm /media/mb/.nobootmanager > /dev/null 2>&1
grep -v bootmanager /usr/bin/enigma2.sh > /var/tmp/enigma2.sh
cat /var/tmp/enigma2.sh > /usr/bin/enigma2.sh
#grep -v "#!/bin/sh" /usr/bin/enigma2.sh > /var/tmp/enigma2.sh
#echo "#!/bin/sh" > /usr/bin/enigma2.sh
#echo "/media/mb/bootmanager/bootmanager" >> /usr/bin/enigma2.sh
cat /var/tmp/enigma2.sh > /usr/bin/enigma2.sh
ln -sfn /media/mb/bootmanager/bootmanager.sh /etc/rc3.d/S00bootmanager 

ls -a1 /media/mb* | grep /media/mb > /var/tmp/.images
sed -ie s!":"!!g /var/tmp/.images
IMAGES=`cat /var/tmp/.images`
rm /var/tmp/.images > /dev/null 2>&1

for IMAGE in $IMAGES; do
   case $IMAGE  in
   "/media/mb" | "/media/mb0" | "/media/mbX" )
   ;;
   *)
   if [ -f $IMAGE/.mbinfo* ]; then
      rm $IMAGE/etc/rc3.d/S00bootmanager > /dev/null 2>&1
      grep -v bootmanager $IMAGE/usr/bin/enigma2.sh > /var/tmp/enigma2.sh
      cat /var/tmp/enigma2.sh > $IMAGE/usr/bin/enigma2.sh
#      grep -v "#!/bin/sh" $IMAGE/usr/bin/enigma2.sh > /var/tmp/enigma2.sh
#      echo "#!/bin/sh" > $IMAGE/usr/bin/enigma2.sh
#      echo "/media/mb/bootmanager/bootmanager" >> $IMAGE/usr/bin/enigma2.sh
      cat /var/tmp/enigma2.sh > $IMAGE/usr/bin/enigma2.sh
      ln -sfn /media/mb/bootmanager/bootmanager.sh $IMAGE/etc/rc3.d/S00bootmanager 
      echo "Installing bootmanager in $IMAGE ..."
      echo "***************************************************"
   else
      echo "Partition in $IMAGE is empty, copy image first ..."
      echo "***************************************************"
   fi
   ;;
   esac
done
exit 0
